NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Tooling::StandardPartPositionBuilder Class Reference

Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position. More...

Inheritance diagram for NXOpen::Tooling::StandardPartPositionBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AssociativePosition ()
 Returns the associative status between standardpart and the offset point. More...
 
double DxIncrement ()
 Returns the increment in X direction when a standard part is dragged. More...
 
double DyIncrement ()
 Returns the increment in Y direction when a standard part is dragged. More...
 
NXOpen::ExpressionOffsetPositionDx ()
 Returns the dimension in X direction from reference point to offset point. More...
 
NXOpen::ExpressionOffsetPositionDy ()
 Returns the dimension in Y direction from reference point to offset point. More...
 
void PlaneView ()
 Sets the view to the selected face plane or X-Y plane of WCS. More...
 
NXOpen::PointReferencePosition ()
 Returns the reference point position. More...
 
void SetAssociativePosition (bool associativePosition)
 Sets the associative status between standardpart and the offset point. More...
 
void SetDxIncrement (double dxIncrement)
 Sets the increment in X direction when a standard part is dragged. More...
 
void SetDyIncrement (double dyIncrement)
 Sets the increment in Y direction when a standard part is dragged. More...
 
void SetFaceCenter ()
 Sets the reference point to the selected face center. More...
 
void SetOffsetPosition (const NXOpen::Point3d &position)
 The offset point position. More...
 
void SetReferencePosition (NXOpen::Point *refPos)
 Sets the reference point position. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position.


To create a new instance of this class, use NXOpen::Tooling::StandardPartPositionCollection::CreateStandardPartPositionBuilder
Default values.

Property Value

AssociativePosition

1

DxIncrement

1.0

DyIncrement

1.0

OffsetPositionDx.Value

0.0 (millimeters part), 0.0 (inches part)

OffsetPositionDy.Value

0.0 (millimeters part), 0.0 (inches part)


Created in NX8.5.0.

Member Function Documentation

bool NXOpen::Tooling::StandardPartPositionBuilder::AssociativePosition ( )

Returns the associative status between standardpart and the offset point.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::StandardPartPositionBuilder::DxIncrement ( )

Returns the increment in X direction when a standard part is dragged.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::StandardPartPositionBuilder::DyIncrement ( )

Returns the increment in Y direction when a standard part is dragged.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::StandardPartPositionBuilder::OffsetPositionDx ( )

Returns the dimension in X direction from reference point to offset point.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Tooling::StandardPartPositionBuilder::OffsetPositionDy ( )

Returns the dimension in Y direction from reference point to offset point.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::StandardPartPositionBuilder::PlaneView ( )

Sets the view to the selected face plane or X-Y plane of WCS.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Point* NXOpen::Tooling::StandardPartPositionBuilder::ReferencePosition ( )

Returns the reference point position.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::StandardPartPositionBuilder::SetAssociativePosition ( bool  associativePosition)

Sets the associative status between standardpart and the offset point.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
associativePositionassociativeposition
void NXOpen::Tooling::StandardPartPositionBuilder::SetDxIncrement ( double  dxIncrement)

Sets the increment in X direction when a standard part is dragged.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
dxIncrementdxincrement
void NXOpen::Tooling::StandardPartPositionBuilder::SetDyIncrement ( double  dyIncrement)

Sets the increment in Y direction when a standard part is dragged.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
dyIncrementdyincrement
void NXOpen::Tooling::StandardPartPositionBuilder::SetFaceCenter ( )

Sets the reference point to the selected face center.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::StandardPartPositionBuilder::SetOffsetPosition ( const NXOpen::Point3d position)

The offset point position.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
positionposition
void NXOpen::Tooling::StandardPartPositionBuilder::SetReferencePosition ( NXOpen::Point refPos)

Sets the reference point position.


Created in NX8.5.0.

License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
refPosrefpos

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.